View Issue Details

IDProjectCategoryView StatusLast Update
0033907LazarusWidgetsetpublic2018-07-18 16:22
ReporterMIS5 Assigned ToDmitry Boyarintsev  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLazarus Mac CocoaOSMac 
Product Version1.8.5 (SVN) 
Summary0033907: Adding a "Help" menu add search box which crashes
DescriptionOn Mac a search box is automatically added to the "Help" menu in TMainMenu

If typing anything into it crashes
Steps To ReproduceInside TMainMenu "Help" - if you type anything into the search box at top I get the follow error in Lazarus/Cocoa/1.9.0/Trunk/20thjune2018

RunError(216) in cocoa/cocoawsmenus.pas line 340

Code: Pascal [Select]
procedure TCocoaMenuItem.menuNeedsUpdate(AMenu: NSMenu);
begin
  menuItemCallback.ItemSelected;
end;
Additional InformationForum thread
http://forum.lazarus.freepascal.org/index.php?topic=41656
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetCocoa
Attached Files

Activities

Dmitry Boyarintsev

2018-06-26 05:48

developer   ~0109056

Last edited: 2018-06-26 05:49

View 3 revisions

is there a particular project example?

unable to replicate on macOS 10.12.1

MIS5

2018-07-18 13:08

reporter   ~0109551

Seems to work now with latest trunk

Dmitry Boyarintsev

2018-07-18 16:22

developer   ~0109561

Please close

Issue History

Date Modified Username Field Change
2018-06-25 11:26 MIS5 New Issue
2018-06-26 05:48 Dmitry Boyarintsev LazTarget => -
2018-06-26 05:48 Dmitry Boyarintsev Note Added: 0109056
2018-06-26 05:48 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2018-06-26 05:48 Dmitry Boyarintsev Status new => feedback
2018-06-26 05:49 Dmitry Boyarintsev Note Edited: 0109056 View Revisions
2018-06-26 05:49 Dmitry Boyarintsev Note Edited: 0109056 View Revisions
2018-07-18 13:08 MIS5 Note Added: 0109551
2018-07-18 13:08 MIS5 Status feedback => assigned
2018-07-18 16:22 Dmitry Boyarintsev Note Added: 0109561
2018-07-18 16:22 Dmitry Boyarintsev Status assigned => resolved
2018-07-18 16:22 Dmitry Boyarintsev Resolution open => fixed